@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700&display=swap');
/*
--- 01 TYPOGRAPHY ---

- FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- FONT WEIGHT:
Default: 400

- LINE HEIGHT:
Default: 1

--- 02 COLORS ---
-Primary: #e67e22

-Tints:
#fdf2e9

-Shades:

-Accents:

-Grays:
#343a40
#495057
#f8f9fa

--- 05 SHADOWS ---

--- 06 BORDER-RADIUS ---

--- 07 WHITE SPACE ---
- SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

--- 08 FONT WEIGHT ---
Default: 400
Medium: 500
Semi-Bold: 600
Bold: 700


*/

/* 
--- RESPONSIVE DESIGN ---
- FLUID LAYOUTS
use % vh vw
max-width instead of width

- RESPONSIVE UNITS
1rem to 10px

- FLEXIBLE IMAGES
use % max-width

- MEDIA QUERIES
*/

* {
    margin: 0;
    padding: 0; 
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    font-family: 'Rubik', sans-serif;
    line-height: 1;
    font-weight: 400;
    color: #343a40;
    overflow-x: hidden;
}

.container {
    /* 1140px */
    /* 1200px */
    max-width: 100vw;
}

*:focus {
    outline: none;
    box-shadow: 0 0 0 0.8rem rgba(230, 125, 34, 0.507);
}

/******************************/
/***** GENERAL COMPONENTS *****/
/******************************/

.heading-primary, 
.heading-secondary,
.heading-tertiary {
    font-weight: 700;
    color: #343a40;
}

.heading-primary {
    font-size: 5.2rem;
}

.heading-secondary {
    letter-spacing: 0.05rem;
    font-size: 4.4rem;
    line-height: 1.2;
    margin-bottom: 9.6rem;
}

.heading-tertiary {
    font-size: 3.6rem;
}

.subheading {
    font-size: 1.5rem;
    font-weight: 500;
    color: #cf711f;
    text-transform: uppercase;
}

a {
    display: inline-block;
}

.btn,
.btn:link, 
.btn:visited {
    font-size: 1.8rem;
    font-weight: 600;
    padding: 1.2rem 2.4rem;
    display: inline-block;
    border-radius: 1rem;
    text-decoration: none;
    transition: all 0.5s;
    border: none;
    cursor: pointer;
}

.btn--full:link, 
.btn--full:visited {
    background-color: #e67e22;
    color: #fff;
}

.btn--full:hover, 
.btn--full:active {
    background-color: #cf711f;
}

.btn--outline:link, 
.btn--outline:visited {
    background-color: #fff;
    color: #343a40;
}

.btn--outline:hover,
.btn--outline:active {
    background-color: #fdf2e9;
    box-shadow: inset 0 0 0 0.3rem #e67e22;
    color: #e67e22;
}

.btn--form {
    background-color: #45260a;
    color: #fdf2e9;
    align-self: end;
    padding: 1.6rem;
}

.btn--form:hover {
    background-color: #f8d8bd;
    color: #45260a;
}

.margin-bottom-sm {
    margin-bottom: 1.6rem;
}

.margin-bottom-md {
    margin-bottom: 3.2rem;
}

.margin-bottom-lg {
    margin-bottom: 6rem;
}
